﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Model.ApiModel.User;
using WCS.Model;
using WCS.DAL.DbModels;
using WCS.Model.ApiModel.StoreInfo;
using WCS.BLL.DbModels;
using WCS.Model.ApiModel.MatBaseInfo;

namespace WCS.BLL.Services.IService
{
    public interface ILocationInfoService
    {
        /// <summary>
        /// 查询位置列表
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        public Task<PageQueryResponse<LocationInfo>> GetLocationInfos(GetLocationInfosRequest request);
        /// <summary>
        /// 导出位置列表
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        public Task<PageQueryResponse<LocationInfo>> ExportLocationInfos(GetLocationInfosRequest request);
        /// <summary>
        /// 添加、更新、删除位置
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        public Task<ResponseCommon<object>> addOrUpdateLocationInfo(AddLocaionInfoRequest<LocationInfo> request);

        public Task<ResponseCommon<object>> deleteLocationInfo(DeleteInfosRequest request);
    }
}
