﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WCS.BLL.Manager
{
    //如果好用，请收藏地址，帮忙分享。
    public class PositionCodePathItem
    {
        /// <summary>
        /// 
        /// </summary>
        public string positionCode { get; set; } = string.Empty;
        /// <summary>
        /// 
        /// </summary>
        public string type { get; set; } = "00";
    }

    public class GenAgvSchedulingTaskRequest
    {
        /// <summary>
        /// 请求码 每一次请求唯一
        /// </summary>
        public string reqCode { get; set; } = Guid.NewGuid().ToString().Replace("-", "");

        /// <summary>
        /// 请求时间
        /// </summary>
        public string reqTime { get; set; } = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");

        /// <summary>
        /// 客户端编号
        /// </summary>
        public string clientCode { get; set; } = "PDA";

        public string tokenCode { get; set; } = string.Empty;

        /// <summary>
        /// 任务类型
        /// </summary>
        public string taskTyp { get; set; } = "F01";

        /// <summary>
        /// 
        /// </summary>
        public string interfaceName { get; set; } = "genAgvSchedulingTask";
        /// <summary>
        /// 旋转角度
        /// </summary>
        public string podDir { get; set; } = string.Empty;
        /// <summary>
        /// 两个点位 开始点和结束点
        /// </summary>
        public List<PositionCodePathItem> positionCodePath { get; set; }
        /// <summary>
        /// 货架编码
        /// </summary>
        public string podCode { get; set; } = string.Empty;
        /// <summary>
        /// 优先级
        /// </summary>
        public string priority { get; set; } = "1";
        /// <summary>
        /// 
        /// </summary>
        public string agvCode { get; set; } = string.Empty;
        /// <summary>
        /// 任务单号（是我自定义的！）
        /// </summary>
        public string taskCode { get; set; } = DateTime.Now.ToString("yyyyMMddHHmmssfff");

        public string data { get; set; } = string.Empty;
    }

}
