﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.AGV
{
    public class AGVBindPodAndBerthRequest
    {
        /// <summary>
        /// 请求码 每一次请求唯一
        /// </summary>
        public string reqCode { get; set; } = Guid.NewGuid().ToString().Replace("-", "");

        /// <summary>
        /// 货架编号
        /// </summary>
        public string podCode { get; set; }

        /// <summary>
        /// 点位码
        /// </summary>
        public string pointCode { get; set; }

        /// <summary>
        /// 解绑或者绑定 "1"：绑定， "0"：解绑
        /// </summary>
        public string indBind { get; set; }

        /// <summary>
        /// 位置编号
        /// </summary>
        public string positionCode { get; set; }
    }
}
