﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.AGV
{
    //AGV获取任务状态
    public class AGVQueryTaskStatusRequest
    {
        /// <summary>
        /// 请求码 每一次请求唯一
        /// </summary>
        public string reqCode { get; set; } = Guid.NewGuid().ToString().Replace("-", "");

        /// <summary>
        /// 请求时间
        /// </summary>
        public string reqTime { get; set; } = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");

        /// <summary>
        /// 任务编码数组
        /// </summary>
        public List<string> taskCodes = new List<string>();
    }
}
