﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.PDAShelfLocationBindUnbind
{
    public class ShelfLocationBindUnbindResponse : ResponseCommon<ShelfLocationBindUnbindResponseData>
    {
        public new ShelfLocationBindUnbindResponseData Data { get; set; }
    }

    public class ShelfLocationBindUnbindResponseData
    {
        public int ShelfId { get; set; }
        public string ShelfCode { get; set; }
        //当前位置ID
        public int CurrentLocationId { get; set; } = 0;
        //当前位置的编码
        public string CurrentLocationCode { get; set; }
        //目标位置ID
        public int DestinationLocationId { get; set; } = 0;
        //目标位置编码
        public string DestinationLocaiotnCode { get; set; } = string.Empty;
        /// 货架运输状态字符串
        public string TransStatusStr { get; set; }
    }
}
